# List

## List

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/account/role`

Retrieve a list of the account's roles

#### Query Parameters

| Name      | Type   | Description                                     |
| --------- | ------ | ----------------------------------------------- |
| select    | array  | Specify which fields you'd like in the response |
| relations | string | Specify relations with other entities           |
| where     | object | Specify a condition to limit the response       |
| order     | object | Specify the order descending or ascending order |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_KEY}} |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "count": 2,
    "data": [
      {
        "id": 1,
        "roleName": "Administrator",
        "permissionType": null,
        "meta": null
      },
      {
        "id": 2,
        "roleName": "Operator",
        "permissionType": {
          "bot": [],
          "chat": [],
          "voIP": [],
          "email": [],
          "media": [],
          "settings": [
            "profile"
          ],
          "triggers": [],
          "analytics": [],
          "app-store": [],
          "dashboard": [
            "case",
            "company",
            "contact",
            "field",
            "filter",
            "follow-up",
            "messenger",
            "note",
            "objects",
            "timeline",
            "ui-component",
            "view"
          ],
          "access-level": [],
          "knowledge-base": []
        },
        "meta": {
          "accessLevel": "account"
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/account-settings/account-roles/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
